SPLIT(1)

NAME
split - Create output files containing consecutive or interleaved sections of input

SYNOPSIS
split [-b|--bytes] [-C|--line-bytes] [-l|--lines] [-n|--number] [--additional-suffix] [--filter] [-e|--elide-empty-files] [-d ] [--numeric-suffixes] [-x ] [--hex-suffixes] [-a|--suffix-length] [--verbose] [-t|--separator] [-h|--help] [-V|--version] [input] [prefix]

DESCRIPTION
Create output files containing consecutive or interleaved sections of input

OPTIONS

-b, --bytes <SIZE>
    put SIZE bytes per output file

-C, --line-bytes <SIZE>
    put at most SIZE bytes of lines per output file

-l, --lines <NUMBER> [default: 1000]
    put NUMBER lines/records per output file

-n, --number <CHUNKS>
    generate CHUNKS output files; see explanation below

--additional-suffix <SUFFIX> [default: ]
    additional SUFFIX to append to output file names

--filter <COMMAND>
    write to shell COMMAND; file name is $FILE (Currently not implemented for Windows)

-e, --elide-empty-files
    do not generate empty output files with '-n'

-d  use numeric suffixes starting at 0, not alphabetic

--numeric-suffixes[=<FROM>]
    same as -d, but allow setting the start value

-x  use hex suffixes starting at 0, not alphabetic

--hex-suffixes[=<FROM>]
    same as -x, but allow setting the start value

-a, --suffix-length <N>
    generate suffixes of length N (default 2)

--verbose
    print a diagnostic just before each output file is opened

-t, --separator <SEP>
    use SEP instead of newline as the record separator; '\0' (zero) specifies the NUL character

-h, --help
    Print help

-V, --version
    Print version

[input] [default: -]

[prefix] [default: x]

EXTRA
## Examples Split a file, each split having 10 lines (except the last split): split {{[-l|--lines]}} 10 {{path/to/file}} Split a file into 5 files. File is split such that each split has same size (except the last split): split {{[-n|--number]}} 5 {{path/to/file}} Split a file with 512 bytes in each split (except the last split; use 512k for kilobytes and 512m for megabytes): split {{[-b|--bytes]}} 512 {{path/to/file}} Split a file with at most 512 bytes in each split without breaking lines: split {{[-C|--line-bytes]}} 512 {{path/to/file}} Split into multiple files from `stdin`: gzip {{[-cd|--stdout --decompress]}} {{path/to/compressed_file.gz}} | split {{[-l|--lines]}} {{1000}} - {{path/to/output}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0